Browse Source

xfce4-13.xfce4-pulseaudio-plugin: init at 0.4.1 (#44314)

nixos-19.03
volth 4 years ago
committed by xeji
parent
commit
781428a849
  1. 2
      pkgs/desktops/xfce4-13/default.nix
  2. 19
      pkgs/desktops/xfce4-13/xfce4-pulseaudio-plugin/default.nix

2
pkgs/desktops/xfce4-13/default.nix

@ -62,6 +62,8 @@ makeScope newScope (self: with self; {
xfce4-power-manager = callPackage ./xfce4-power-manager { };
xfce4-pulseaudio-plugin = callPackage ./xfce4-pulseaudio-plugin { };
xfce4-screenshooter = callPackage ./xfce4-screenshooter {
inherit (gnome3) libsoup;
};

19
pkgs/desktops/xfce4-13/xfce4-pulseaudio-plugin/default.nix

@ -0,0 +1,19 @@
{ mkXfceDerivation, automakeAddFlags, dbus-glib, dbus, gtk3, libpulseaudio
, libnotify, libxfce4ui, libxfce4util, xfce4-panel, xfconf }:
mkXfceDerivation rec {
category = "panel-plugins";
pname = "xfce4-pulseaudio-plugin";
version = "0.4.1";
sha256 = "1c8krpg3l6ki00ldd9hifc4bddysdm0w3x5w43fkr31j0zrscvfp";
nativeBuildInputs = [ automakeAddFlags ];
NIX_CFLAGS_COMPILE = [ "-I${dbus-glib.dev}/include/dbus-1.0" "-I${dbus.dev}/include/dbus-1.0" ];
postPatch = ''
substituteInPlace configure.ac.in --replace gio-2.0 gio-unix-2.0
'';
buildInputs = [ gtk3 libnotify libpulseaudio libxfce4ui libxfce4util xfce4-panel xfconf ];
}
Loading…
Cancel
Save